> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/33/secrets/secrets-stores/azure-key-vault.md).

# Azure Key Vault

You can integrate Prisma Cloud with Azure Key Vault. First configure Prisma Cloud to access your Key Vault, then create rules to inject the relevant secrets into their associated containers.

**Prerequisites:** You have [created a secret](https://docs.microsoft.com/en-us/azure/key-vault/quick-create-portal#add-a-secret-to-key-vault) in Key Vault.

1. Create an Azure servicePrincipal in your Azure AD Tenant
   1. Use [AZ CLI](https://docs.microsoft.com/en-us/cli/azure/install-azure-cli?view=azure-cli-latest) to create a servicePrincipal and obtain the json credential file.
   2. Authenticate to your Azure tenant.

      ```
      $ az login
      ```
   3. Create a servicePrincipal

      ```
      $ az ad sp create-for-rbac
      ```
   4. Save the resulting json output.+

      ```
      {
        "appId": "xxxxxxxx-xxxxx-xxxx-xxxxxxxx",
        "displayName": "azure-cli-2018-11-01-xx-xx-xx",
        "name": "http://azure-cli-2018-11-01-xx-xx-xx",
        "password": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "tenant": "xxxxxxxxxxxxxxxxxxxxxxxxxxx"
      }
      ```
   5. In the Azure Key Vault, add the servicePrincipal to the **Access Policies** with the following permissions:

      ```
      secrets/get permission
      secrets/list permission
      ```
2. In the Prisma Cloud Console, go to **Manage > Authentication > Secrets**.
3. Click **Add store**.
   1. Enter a name for the vault. This name is used when you create rules to inject secrets into specific containers.
   2. For **Type**, select **Azure Key Vault**.
   3. For **Address**, enter **https\://\<vault-name>.vault.azure.net**. This address can be found in the Azure Key Vault’s properties in the *DNS Name* element.
   4. In **Credential**, click **Add new**.

      If you create a credential in the credentials store (**Manage > Authentication > Credentials store**), your service principal authenticates with a password.
   5. Enter a name for the credentials.
   6. In **Type**, select **Azure**.
   7. In **Service Key**, enter the JSON credentials returned from the *az ad sp create-for-rbac* command.
   8. Click **Save**.
   9. Click **Add**.

      After adding the new store, Prisma Cloud tries conecting to your vault. If it is successful, the dialog closes, and an entry is added to the table. Otherwise, any connection errors are displayed directly in the configuration dialog.

      Next, [inject a secret into a container](/admin-guide/33/secrets/inject-secrets.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.prismacloud.io/admin-guide/33/secrets/secrets-stores/azure-key-vault.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
